Skip to main content
GET
Get Portfolio Item Snapshot Diff

Authorizations

X-API-Key
string
header
required

Path Parameters

item_id
string<uuid>
required

The unique identifier of the portfolio item to get snapshot diff for.

Examples:

"412a49b5-7466-426b-bf1e-081b00b54576"

"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"

Query Parameters

from_snapshot_id
string<uuid>
required

The unique identifier of the source snapshot for the diff.

Examples:

"412a49b5-7466-426b-bf1e-081b00b54576"

"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"

to_snapshot_id
string<uuid>
required

The unique identifier of the target snapshot for the diff.

Examples:

"412a49b5-7466-426b-bf1e-081b00b54576"

"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"

format
enum<string>
default:json

The format of the response data.

Available options:
json,
notifications,
json_patch
Examples:

"json"

"notifications"

"json_patch"

Response

Successful Response

Represents a portfolio item snapshot diff response.

from_snapshot
PortfolioItemSnapshotResponse (v1) · object
required

The source snapshot for the diff.

to_snapshot
PortfolioItemSnapshotResponse (v1) · object
required

The target snapshot for the diff.

json_patch
(AddOperation · object | RemoveOperation · object | ReplaceOperation · object | MoveOperation · object | CopyOperation · object | CheckOperation · object)[]
required

The diff in JSON Patch format.

Add operation: adds a value to the target location.

Example:
changes
DiffChangeResponse (v1) · object[]
required

The human-readable changes extracted from the diff.